@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');

:root{
  --primary-color: #002A57;
  --secondary-color: #FFA800;
  --danger-color: #FF5C00;
  --warning-color: #FFD600;
}

*{
  font-family: 'Montserrat', sans-serif !important;
}

/* global */
.bg-primary{
  background-color: var(--primary-color) !important;
}

.bg-secondary{
  background-color: var(--secondary-color) !important;
}

.bg-danger{
  background-color: var(--danger-color) !important;
}

.bg-warning{
  background-color: var(--warning-color) !important;
}

.bg-gradient-primary-to-light::before{
  background: linear-gradient(to right, var(--primary-color) 30%, #002a573f 100%) !important;
  position: relative;
  z-index: 2;
}

.image-wrapper.bg-full{
  background-size: cover;
}

.text-primary{
  color: var(--primary-color) !important;
}

.text-secondary{
  color: var(--secondary-color) !important;
}

.btn-outline{
  border: 1px solid white !important;
  color: white !important;
  box-shadow: none !important;
  &:hover{
    border: 1px solid var(--secondary-color) !important;
    background-color: var(--secondary-color) !important;
  }
}

.btn-primary{
  background: var(--primary-color);
  color: white;
  border-color: var(--primary-color);
  &:hover{
    background: var(--secondary-color);
    border-color: var(--secondary-color);
  }
}
.btn-primary:where(:active, :focus-visible){
  background: var(--primary-color) !important;
  color: white;
  border-color: var(--primary-color) !important;
}

.card{
  border-radius: 24px !important;
}

.card.border-primary{
  border: 1px solid var(--primary-color) !important;
}

.card.hover-border{
  border: 1px solid transparent;
}

.card.hover-border:hover{
  border: 1px solid var(--primary-color);
  opacity: 1;
}

.card.hover-border:not(:hover){
  opacity: .7;
}

.accordion-wrapper .card-header{
  padding: 0;
}

.accordion-wrapper .card-header button{
  padding: .9rem 2.3rem .85rem;
}

.accordion-wrapper .card-header button:not(.collapsed){
  background-color: #F7F7F7;
  color: var(--primary-color);
}

.accordion-wrapper .card-header button:before{
  left: auto;
  right: 1.3rem;
  color: var(--primary-color);
}

.accordion-wrapper .card-header button:hover{
  color: var(--primary-color) !important;
}

.process-wrapper.line{
  overflow: hidden;
  scroll-snap-type: x mandatory;
}

.process-wrapper.line [class*=col]{
  margin-bottom: 40px;
  scroll-snap-align: center;
}

.process-wrapper.line [class*=col]:where(:first-child)::after{
  left: 0;
  width: calc(100% + 50%);
}

.process-wrapper.line [class*=col]:not(:first-child, :last-child)::after{
  left: 50% !important;
  width: 100%;
}

.process-wrapper.line [class*=col]:last-child::after{
  content: '';
  width: 50%;
  right: 0;
}

.process-wrapper.line [class*=col]::after{
  content: '';
  position: absolute;
  height: 24px;
  border-top: 0;
  top: 18px;
}

.process-wrapper.line [class*=col].primary::after{
  background: var(--primary-color);
}

.process-wrapper.line [class*=col].secondary::after{
  background: var(--secondary-color);
}

.process-wrapper.line [class*=col].danger::after{
  background: var(--danger-color);
}

.process-wrapper.line [class*=col].warning::after{
  background: var(--warning-color);
}

.process-wrapper.line::-webkit-scrollbar{
  background: #ffffff7d;
  height: 10px;
  border-radius: 20px;
  backdrop-filter: blur(3px);
}

.process-wrapper.line::-webkit-scrollbar-thumb{
  background: var(--primary-color);
  border-radius: 20px;
}

.breadcrumb-item.active{
  color: var(--secondary-color) !important;
}

/* header */
.nav-link{
  padding: 6px 24px !important;
  font-weight: 500 !important;
  transition: .4s;
  color: var(--primary-color);
}

.nav-item:not(:last-child){
  margin-right: 12px;
}

.nav-link:hover{
  color: var(--primary-color);
}

.nav-link:not(.active, :hover){
  opacity: .5;
}

.nav-link.active{
  color: white !important;
  background-color: var(--primary-color) !important;
  border-radius: 50px !important;
}

/* footer */
.progress-wrap svg.progress-circle path{
  stroke: var(--secondary-color);
}

.progress-wrap:after{
  color: var(--secondary-color);
}

@media screen and (max-width: 991px) {
  .navbar-clone{
    padding: 0 15px;
  }
  .process-wrapper.line{
    flex-wrap: nowrap;
    overflow: auto;
  }
}

@media screen and (max-width: 767px) {
  .line-clamp-md-1{
    overflow: hidden;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 1;
  }
}